Bug 448069 - xinetd: socket bind: Invalid argument (errno = 22) when using USERID on ipv6
Summary: xinetd: socket bind: Invalid argument (errno = 22) when using USERID on ipv6
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xinetd   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jan Safranek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-23 10:25 UTC by Stefan Jensen
Modified: 2013-02-01 15:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 11:07:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (1.51 KB, patch)
2008-05-30 07:37 UTC, Jan Safranek
no flags Details | Diff

Description Stefan Jensen 2008-05-23 10:25:52 UTC
Description of problem:

xinetd failed with "socket bind: Invalid argument (errno = 22)" on doing ident
lookup, when the service is bind to ipv6 and USERID is used.

Version-Release number of selected component (if applicable):

xinetd-2.3.14-14.fc8

How reproducible:

Always

Actual results:

ident lookup failed.

Expected results:

successful ident lookup on actual connection

Additional info:

from message log (ipv6-addr removed):

xinetd[13976]: socket bind: Invalid argument (errno = 22)
xinetd[13905]: START: ftp-external pid=13976 from=$ipv6address

actual service config:

service ftp
{
	disable		= no
	id		= ftp-external
	bind		= $ipv6address
	socket_type	= stream
	per_source	= 2
	flags		= IPv6
	wait		= no
	user		= root
	server		= /usr/sbin/vsftpd
	log_on_failure	+= HOST USERID
	log_on_success	+= PID HOST USERID DURATION EXIT
}

same config with ipv4 is doing the ident lookups.

Comment 1 Jan Safranek 2008-05-29 14:41:05 UTC
I've reproduced it locally and I have an experimental patch - wrong
sizeof(address) was passed to bind() call.

Comment 2 Jan Safranek 2008-05-30 07:37:14 UTC
Created attachment 307172 [details]
patch

patch sent upstream, waiting for acceptance

Comment 3 Stefan Jensen 2008-07-15 23:09:02 UTC
Bumb, any news on this?

best regards

Comment 4 Jan Safranek 2008-07-16 07:28:31 UTC
thanks for reminder... the upstream does not respond. I'll add it to my set of
patches.

Comment 5 Fedora Update System 2008-07-16 08:53:48 UTC
xinetd-2.3.14-20.fc9 has been submitted as an update for Fedora 9

Comment 6 Fedora Update System 2008-07-16 09:00:08 UTC
xinetd-2.3.14-15.fc8 has been submitted as an update for Fedora 8

Comment 7 Fedora Update System 2008-07-17 14:15:05 UTC
xinetd-2.3.14-20.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xinetd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6459

Comment 8 Stefan Jensen 2008-07-18 12:47:52 UTC
tested xinetd-2.3.14-15.fc8, works ok. Thanks

Comment 9 Fedora Update System 2008-08-07 23:50:57 UTC
xinetd-2.3.14-15.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2008-08-07 23:52:35 UTC
xinetd-2.3.14-20.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Bug Zapper 2008-11-26 10:45:35 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Jan Safranek 2008-11-26 11:07:45 UTC
Update was released long ago, dunno why Bodhi did not close this.


Note You need to log in before you can comment on or make changes to this bug.